Bug 221142 - deskutils/hebcal: update to 4.13, take maintainership
Summary: deskutils/hebcal: update to 4.13, take maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: Carlos J. Puga Medina
URL:
Keywords: easy, patch-ready
Depends on:
Blocks:
 
Reported: 2017-08-01 10:38 UTC by Ryder Dain
Modified: 2017-11-04 22:40 UTC (History)
3 users (show)

See Also:
koobs: maintainer-feedback+


Attachments
adding a new city definition (466 bytes, patch)
2017-08-01 10:51 UTC, Ryder Dain
no flags Details | Diff
hebcal.shar updated for version bump & maintainer change (1.57 KB, text/plain)
2017-08-06 08:57 UTC, Ryder Dain
no flags Details
Reworked the makefile to use new source, bumped to current version, dropping patch request. (1.74 KB, text/plain)
2017-09-19 09:33 UTC, Ryder Dain
no flags Details
replacing shar with svn diff (2.07 KB, text/plain)
2017-10-27 22:28 UTC, Ryder Dain
no flags Details
patch svn diff (1.62 KB, patch)
2017-10-28 12:06 UTC, Carlos J. Puga Medina
no flags Details | Diff
patch svn diff (1.68 KB, patch)
2017-11-04 22:20 UTC, Carlos J. Puga Medina
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ryder Dain 2017-08-01 10:38:51 UTC

    
Comment 1 Ryder Dain 2017-08-01 10:51:31 UTC
Created attachment 184893 [details]
adding a new city definition
Comment 2 Richard Gallamore freebsd_committer 2017-08-06 04:54:01 UTC
The title is Add ..., Take MAINTAINER'ship, the patch only Adds the city. Did you forget to change maintainer? Also, anytime the package needs to be regenerated a revision bump is required.
Comment 3 Ryder Dain 2017-08-06 08:57:01 UTC
Created attachment 185082 [details]
hebcal.shar updated for version bump & maintainer change

(In reply to Richard Gallamore from comment #2)

Thanks!
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2017-08-06 09:26:11 UTC
(In reply to Ryder Dain from comment #3)

All updates (not new ports) should be provided as svn diffs (not shars), could you update the attachment and obsolete the old ones please
Comment 5 Ryder Dain 2017-09-19 09:33:39 UTC
Created attachment 186532 [details]
Reworked the makefile to use new source, bumped to current version, dropping patch request.

I'll go through the github project to add the city and just bump this later. Better to set up maintainership first, anwyay (makefile needed correcting on a few points anyway).
Comment 6 Ryder Dain 2017-10-27 22:28:19 UTC
Created attachment 187533 [details]
replacing shar with svn diff

Responding to email from lists@opsec.eu on thread (replace shar with svn diff)
Comment 7 Carlos J. Puga Medina freebsd_committer 2017-10-28 12:06:11 UTC
Created attachment 187536 [details]
patch svn diff
Comment 8 Carlos J. Puga Medina freebsd_committer 2017-11-04 22:20:51 UTC
Created attachment 187740 [details]
patch svn diff

- Add regression-test target
Comment 9 commit-hook freebsd_committer 2017-11-04 22:39:40 UTC
A commit references this bug:

Author: cpm
Date: Sat Nov  4 22:38:44 UTC 2017
New revision: 453491
URL: https://svnweb.freebsd.org/changeset/ports/453491

Log:
  deskutils/hebcal: update to 4.13

  - Switch to USE_GITHUB
  - Improve the COMMENT line description
  - Add regression-test target
  - Improve the content of pkg-descr
  - Update WWW in pkg-descr
  - Pass maintainership to submitter

  Changelog: https://github.com/hebcal/hebcal/releases/tag/v4.13

  PR:		221142
  Submitted by:	Ryder Dain <rtd24@columbia.edu>

Changes:
  head/deskutils/hebcal/Makefile
  head/deskutils/hebcal/distinfo
  head/deskutils/hebcal/pkg-descr
Comment 10 Carlos J. Puga Medina freebsd_committer 2017-11-04 22:40:39 UTC
Committed, thanks!